#include <iostream>
#include <algorithm>
using namespace std;
int Contains(int A[],int b,int N)
{
    for (int i = 0; i < N; i++)
	{
        if(A[i]==b)
        {
            return i;
        }
	}
	return -1;
}
int Insert(int A[],int b, int N)
{
    for (int i = 0; i < N; i++)
	{
        if(A[i]>b)
        {
            return i;
        }
	}
	return N;
}
int Resi(int A[], int b,int N)
{
    if(b==A[N/2])
    {
        return 0;
    }
    int x = 0;
    int Mesto=Contains(A,b,N);
    if(Mesto==-1)
    {
        Mesto=Insert(A,b,N);
    }
    signed int y=2*Mesto-N;
    x=abs(y);
    return x;
}
int main()
{
    int Q, N;
    cin >> N >> Q;
	int A[N];
	int B[Q];
	int Resenja[Q];
	for (int i = 0; i < N; i++)
	{
        cin>>A[i];
	}
	sort(A, A+N);
	for (int i = 0; i < Q; i++)
	{
        cin>>B[i];
        Resenja[i]=Resi(A,B[i],N);
	}
	for (int i = 0; i < Q; i++)
	{
        cout<<Resenja[i]<<endl;
	}
    return 0;
}